Subject: Re: bug#21827: Large file support

From: Mike Frysinger <[email-masked]>
Date: Fri, 6 Nov 2015 10:48:54 -0500

On 06 Nov 2015 07:35, Michael Brunnbauer wrote:
> On Thu, Nov 05, 2015 at 10:37:43PM -0500, Mike Frysinger wrote:
> > > It appears you've run afoul of glibc bug#18781.
> > > 
> > > https://sourceware.org/bugzilla/show_bug.cgi?id=18781
> > > 
> > > Yeowch.  If I'm right, that's a serious glibc bug that will break a lot 
> > > of programs, not just grep.
> 
> I upgraded to glibc-2.22 on Oct 6 and had no problems with other tools and
> big files so far (at least tar, gzip and cp do not seem to be affected).
> 
> > Michael: i don't think you said ... which distro are you using ?
> 
> My own. It runs on 60 servers. Unless glibc-2.23 is around the corner I will 
> have to patch my current glibc.

you might consider using the branch then from upstream.  we cherry pick fixes
(including security related) into it.  thus far, we haven't tagged/released
point releases.
https://sourceware.org/git/?p=glibc.git;a=shortlog;h=refs/heads/release/2.22/master
-mike